# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
# import os
# import sys
# sys.path.insert(0, os.path.abspath('.'))
# import sphinx_rtd_theme
import pkg_resources
import sphinx_nameko_theme
import datetime
# -- Project information -----------------------------------------------------

project = 'cx_Oracle_async'
copyright = '{}, WEN'.format(datetime.date.today().year)
author = 'WEN'

# The version info for the project you're documenting, acts as replacement for
# |version| and |release|, also used in various other places throughout the
# built documents.
#
# The short X.Y version.
try:
    version = pkg_resources.get_distribution('cx_Oracle_async').version
    # The full version, including alpha/beta/rc tags.
    release = version
except:
    version = '0.0.1'
    release = '0.0.1'

# -- General configuration ---------------------------------------------------

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = 'en_US'

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    'recommonmark',
    'sphinx_markdown_tables',
    # "sphinx_rtd_theme",
]

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = []

# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
# html_theme = 'sphinx_rtd_theme'
html_theme = 'nameko'
html_theme_path = [sphinx_nameko_theme.get_html_theme_path()]
html_sidebars = {
    '**': ['localtoc.html', 'relations.html', 'sourcelink.html',
            'sidebarlinks.html', 'searchbox.html']
}

# 将代码框高亮调整为绿色背景风格
# 在sphinx_rtd_theme中生效，nameko中无效
pygments_style = 'sphinx'

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']

source_suffix = ['.rst', '.md']
today_fmt = '%B %d, %Y'
html_last_updated_fmt = '%b %d, %Y'
htmlhelp_basename = 'cx_Oracle_async'
numfig = True